<?php
if( defined( 'FOR_XOOPS_LANG_CHECKER' ) ) $mydirname = 'links' ;
$constpref = '_MI_' . $mydirname;

if( defined( 'FOR_XOOPS_LANG_CHECKER' ) || ! defined( $constpref.'_LOADED' ) )
{
  define($constpref .'_LOADED', 1);

	define($constpref .'_NAME', 'D3Links');
	define($constpref .'_DESC', 'サイト・URL を登録・表示するモジュール');

	//block name
	define($constpref .'_BNAME1', 'リンクブロック');
	define($constpref .'_BNAME2', '簡易リンク登録');
	define($constpref .'_BNAME3', 'カテゴリブロック');
	define($constpref .'_BNAME4', '承認ブロック');

	//admin menu
	define($constpref .'_ADMENU1', 'カテゴリ管理');
	define($constpref .'_ADMENU2', '投稿権限管理');
	define($constpref .'_ADMENU3', 'リンク切れ報告');
	define($constpref .'_ADMENU4', '修正リクエスト');
	define($constpref .'_ADMENU5', '承認');
	define($constpref .'_ADMENU_MYLANGADMIN', '言語定数管理');
	define($constpref .'_ADMENU_MYTPLSADMIN', 'テンプレート管理');
	define($constpref .'_ADMENU_MYBLOCKSADMIN', 'ブロック・アクセス権限');
	define($constpref .'_ADMENU_MYPREFERENCES', '一般設定（altsys）');

	//config items
	define($constpref .'_URL_APPROCH_0', '[0]クエリ・アプローチ');
	define($constpref .'_URL_APPROCH_1', '[1]セグメント・アプローチ');
	define($constpref .'_URL_APPROCH_2', '[2]-- mod_rewrite 1');
	define($constpref .'_URL_APPROCH_3', '[3]-- mod_rewrite 2');
	define($constpref .'_URL_APPROCH', 'URL アプローチ');
	define($constpref .'_URL_APPROCH_DSC',
			constant($constpref.'_URL_APPROCH_0') .' （例）'. XOOPS_URL .'/modules/'. $mydirname .'/index.php?c=submit&m=form<br />'.
			constant($constpref.'_URL_APPROCH_1') .' （例）'. XOOPS_URL .'/modules/'. $mydirname .'/index.php/submit/form.html<br />'.
			constant($constpref.'_URL_APPROCH_2') .' （例）'. XOOPS_URL .'/modules/'. $mydirname .'/submit/form.html<br />'.
			constant($constpref.'_URL_APPROCH_3') .' （例）'. XOOPS_URL .'/'. $mydirname .'/submit/form.html<br />
			mod_rewrite を利用する場合は、別途 .htaccess を設定する必要があります。'
		);
	define($constpref .'_URL_SUFFIX', 'URL 接尾辞');
	define($constpref .'_URL_SUFFIX_DSC', 'セグメント・アプローチの場合に利用されます。空欄にすることも可能。');

	define($constpref .'_CAT_SELECTOR', 'マルチ選択が可能のカテゴリ・セレクタ');
	define($constpref .'_CAT_SELECTOR_DSC', '「はい」の場合、MULTIPLE セレクタ。「いいえ」の場合でも Javascript でカテゴリは複数登録ができます');
	define($constpref .'_POPULAR','「人気リンク」になるための訪問数');
	define($constpref .'_POPULARDSC', '「pop」アイコンが表示されるための訪問数を指定してください。');
	define($constpref .'_PERPAGE','１ページ毎に表示するリンクの件数');
	define($constpref .'_PERPAGEDSC', 'リンク一覧表示で１ページあたりに表示する最大件数を指定してください。');
	define($constpref .'_USEFRAMES','フレームを使用する');
	define($constpref .'_USEFRAMEDSC', '登録サイトを訪問する際、フレーム内に表示するかどうか');
	define($constpref .'_SCREENSHOT','スクリーンショットサービスを利用する');
	define($constpref .'_SCREENSHOTDSC','(1)<a href="http://capture.heartrails.com/" target="_blank">http://capture.heartrails.com/</a>, (2)<a href="http://mozshot.nemui.org/" target="_blank">http://mozshot.nemui.org/</a>, (3)<a href="http://img.simpleapi.net/" target="_blank">http://img.simpleapi.net/</a>');
	define($constpref .'_SCREENSHOT_CACHE', 'スクリーンショット画像のキャッシュ・タイム（単位：日）');
	define($constpref .'_SCREENSHOT_CACHE_DSC', 'このキャッシュタイムを超えた時にリンク単独ページにアクセスすると再取得します。0 に設定するとキャッシュを利用しません。');

	define($constpref .'_CATICON_PATH','カテゴリイメージのパス');
	define($constpref .'_CATICON_PATHDESC',"このパス内の画像がカテゴリ管理でカテゴリを作成時に選択できます<br />初期値は modules/$mydirname/images/categories です。");
	define($constpref .'_REQUEST','ゲストが修正リクエストを行なえる');
	define($constpref .'_REQUEST_DESC','');
	define($constpref .'_RATING_TYPE','「このサイトを評価する」のタイプ');
	define($constpref .'_RATING_TYPE_DESC','');
	define($constpref .'_RATING_TYPE_1', '0 ～ 10 段階タイプ');
	define($constpref .'_RATING_TYPE_2', '拍手タイプ');
	define($constpref .'_DISP_TYPE' , 'テーブル表示をしますか');
	define($constpref .'_DISP_TYPE_DESC' , 'モジュールトップ、カテゴリでの表示の仕方（はい：テーブル表示／いいえ：リスト表示）。PCのみ。');
	define($constpref .'_TABLE_COLS', 'テーブル表示の時の列数');
	define($constpref .'_TABLE_COLS_DESC', '横に並ぶ数のこと');
	define($constpref .'_REDIRECT_TYPE', 'XOOPS の redirect_header を利用する');
	define($constpref .'_REDIRECT_TYPE_DESC', '「いいえ」の場合はこのモジュール特有の方法を利用します');
	define($constpref .'_COM_DIRNAME', 'コメント統合する d3forum の dirname');
	define($constpref .'_COM_FORUM_ID', 'コメント統合するフォーラムの番号');
	define($constpref .'_COM_ORDER', 'コメント統合の表示順序');
	define($constpref .'_COM_VIEW', 'コメント統合の表示方法');
	define($constpref .'_COM_POSTSNUM', 'コメント統合のフラット表示における最大表示件数');

}
